Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057710 - the notifications about problem occurrences must be delivered in all cases
Summary: the notifications about problem occurrences must be delivered in all cases
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: abrt
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Filak
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 16:19 UTC by Jakub Filak
Modified: 2016-12-01 00:46 UTC (History)
3 users (show)

Fixed In Version: abrt-2.1.11-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:20:00 UTC


Attachments (Terms of Use)

Description Jakub Filak 2014-01-24 16:19:33 UTC
Description of problem:
All the notification events must be executed altogether because the purpose of 'notify' event isn't verification of problem data but notification of abrt observers about occurrence of a new problem. Thus omitting any of them might have unpredictable consequences because the observers have no other way to find out that the problem has occured. Hence, in order to ensure that the event run will not be interrupted by a failure of any of the applicable events, all 'notify' event definitions must always exit with 0.

Version-Release number of selected component (if applicable):
abrt-2.1.11-5.el7

Comment 2 Jakub Filak 2014-01-27 09:43:11 UTC
Patches submitted for review:

https://github.com/abrt/abrt/pull/797

Comment 5 Ludek Smid 2014-06-13 12:20:00 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.